Bug 138487 - dual verb conjugation so more languages can use the conjugation feature
Summary: dual verb conjugation so more languages can use the conjugation feature
Status: RESOLVED FIXED
Alias: None
Product: kvoctrain
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Frederik Gladhorn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-07 08:08 UTC by guy leavitt
Modified: 2007-09-25 14:30 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description guy leavitt 2006-12-07 08:08:27 UTC
Version:           .8.3 (using KDE KDE 3.5.5)
Installed from:    Ubuntu Packages
OS:                Linux

Many languages (ancient Greek and Sanskrit, modern Arabic, Slovenian, Scottish, Gaelic, Hebrew, Sami languages, etc.) have in addition to a singular and plural conjugation a *dual* conjugation.  If Kvoc had a dual conjugation for the 1st, 2nd and 3rd persons, the program's conjugation feature would be functional for everyone learning those languages.  This would be most appreciated!
Comment 1 Frederik Gladhorn 2007-08-30 19:22:38 UTC
Please explain further. I do not know any of these languages, so it would be 
nice to have some more references. It is rather unlikely that this will be 
implemented in the near future.
Links to pages giving good simple grammar explanations for this are also 
appreciated.
Thank you!
Comment 2 Frederik Gladhorn 2007-09-25 14:30:14 UTC
SVN commit 716861 by gladhorn:

Dual verb conjugations implemented.
FEATURE: 138487


 M  +0 -3      docprop-dialogs/LangPropPage.cpp  
 M  +78 -163   practice/VerbQueryDlg.cpp  
 M  +1 -1      practice/VerbQueryDlg.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=716861